Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 384037 - x11-libs/wxGTK-2.9.3.1 version bump
Summary: x11-libs/wxGTK-2.9.3.1 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Gentoo wxWidgets Herd
URL:
Whiteboard:
Keywords:
: 384417 388091 (view as bug list)
Depends on:
Blocks: 369165
  Show dependency tree
 
Reported: 2011-09-22 00:41 UTC by Tim Harder
Modified: 2012-02-12 08:53 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Harder gentoo-dev 2011-09-22 00:41:48 UTC
A new development release is available. It would be nice to bump since 2.9.1.1 doesn't build with libpng-1.5 and the patch isn't applied against it in the tree.
Comment 1 Tim Harder gentoo-dev 2011-09-22 00:52:33 UTC
Or rather bump to 2.9.2.4 since the ebuilds appear to be based off wxPython releases (and you could bump wxpython while you're at it). :)
Comment 2 Ryan Hill (RETIRED) gentoo-dev 2011-09-26 01:04:00 UTC
*** Bug 384417 has been marked as a duplicate of this bug. ***
Comment 3 Klaus Kusche 2011-09-27 15:21:12 UTC
1.) This is urgent now. 

libpng has been released to ~x86 and ~amd64 (and all other ~) last week, 
which means all users who are on ~ now have libpng 1.5 and no longer 1.4
and can't use wx 2.9 any more.

2.) Please register this bug in bug 354479, 
which is the libpng 1.5 tracking bug!

(otherwise, libpng 1.5 will go stable without wx being fixed)
Comment 4 Mart Raudsepp gentoo-dev 2011-09-27 15:30:30 UTC
wxGTK-2.9 is a package.masked development series. There is no huge reason to track this or block any libpng-1.5 stabilizations as long as 2.8 works.
While there is no urgency in that for libpng needs, we of course should get to bumping the development series for the benefit of developers using wxWidgets to develop their applications, or bleeding edge testers testing wx apps against the development series.
Comment 5 Murph 2011-10-14 19:45:20 UTC
Upgraded to wxGTK-2.9.1.1 and libpng-1.5.5 today and it wouldn't build.

http://trac.wxwidgets.org/attachment/ticket/12959/wx-png-1.5-2.diff

Applied that, and it built wonderfully.
Comment 6 Tanktalus 2011-10-17 15:40:10 UTC
Thanks, Murph - that helps me with my last package in @preserved-rebuild after the libpng upgrade. It'd be nice if a -r1 release could be made with that patch.
Comment 7 Ryan Hill (RETIRED) gentoo-dev 2011-10-18 00:52:22 UTC
Workin on it.  I'm a bit surprised.  I thought the only person with 2.9 installed was me.
Comment 8 Andreas Proteus 2011-10-19 19:13:06 UTC
(In reply to comment #5)
Patch worked for me too.
Thanks.
Comment 9 Ryan Hill (RETIRED) gentoo-dev 2011-10-23 00:51:16 UTC
*** Bug 388091 has been marked as a duplicate of this bug. ***
Comment 10 Joël 2011-10-24 10:32:42 UTC
Works here too. Please consider adding it to official ebuild. Thanks!
Comment 11 Ryan Hill (RETIRED) gentoo-dev 2011-10-25 04:07:19 UTC
I need to do some more work on 2.9.2.4 so I've applied the libpng patch to 2.9.1.1 in the meantime.
Comment 12 iGentoo 2011-12-04 05:16:19 UTC
2.8.12.1: minor version bump

    23-July-2011

Relax an assert that was added to Bind() in the previous release so None will be an acceptable value for the handler parameter again.

Added ToolTipString property to wx.Window.

Other minor fixes.

Udpates from the AGW and Editra projects.

-------------------------------------------------------------------------------------
 EAPI="2" doesn't support ${ED}.
---
--- wxGTK-2.8.12.0.ebuild
+++ wxGTK-2.8.12.1.ebuild
@@ -160,7 +160,7 @@ src_install() {
 	fi
 
 	# We don't want this
-	rm "${ED}"usr/share/locale/it/LC_MESSAGES/wxmsw.mo
+	rm -f "${D}"usr/share/locale/it/LC_MESSAGES/wxmsw.mo
 }
 
 pkg_postinst() {
Comment 13 Ryan Hill (RETIRED) gentoo-dev 2011-12-09 04:37:09 UTC
Both fixed but please file a new bug next time.
Comment 14 Ryan Hill (RETIRED) gentoo-dev 2012-02-12 08:53:14 UTC
Fixed.